Subject: bug#53157: closed (Re: bug#53157: guix/ui.scm:203 requires guile-3.0.3)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Jan 2022 22:59:02 +0000

Your bug report

#53157: guix/ui.scm:203 requires guile-3.0.3

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53157: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53157
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53157: guix/ui.scm:203 requires guile-3.0.3
From: Ludovic Courtès <[email-masked]>
To: [email-masked], Efraim Flashner <[email-masked]>
Date: Tue, 25 Jan 2022 23:58:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Efraim,

Ludovic Courtès <[email-masked]> skribis:

> Efraim Flashner <[email-masked]> skribis:
>
>> I'm using ./pre-inst-env on my powerpc-linux machine, using guile-3.0.2
>> as provided by Debian. When I try to run the following command:
>> ./pre-inst-env guix build -L /path/to/repo -m /path/to/manifest.scm -n
>> I get the following error:
>>
>> guix/ui.scm:230:13: error: default-optimization-level: unbound variable
>>
>> It doesn't make sense to gate this with (target-ppc32?) since it's due
>> to the guile version. If I had configured within 'guix shell -D guix' I
>> would be using guile-3.0.7.
>>
>> configure.ac checks for guile 3.0.
>
> I’m in favor of updating ‘configure.ac’ to check for Guile > 3.0.x
> (we’ll have to check which value of ‘x’ works).

As you suggested on IRC, I went ahead and did that in commit
d582b399781f6fd80c63d07746524196603972e4.

Thanks,
Ludo’.

Subject: guix/ui.scm:203 requires guile-3.0.3
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jan 2022 13:37:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using ./pre-inst-env on my powerpc-linux machine, using guile-3.0.2
as provided by Debian. When I try to run the following command:
./pre-inst-env guix build -L /path/to/repo -m /path/to/manifest.scm -n
I get the following error:

guix/ui.scm:230:13: error: default-optimization-level: unbound variable

It doesn't make sense to gate this with (target-ppc32?) since it's due
to the guile version. If I had configured within 'guix shell -D guix' I
would be using guile-3.0.7.

configure.ac checks for guile 3.0.

(ins)efraim@g4:~$ apt-cache policy guile-3.0
guile-3.0:
  Installed: 3.0.2-2be32
  Candidate: 3.0.2-2be32
  Version table:
 *** 3.0.2-2be32 500
        500 http://deb.debian.org/debian-ports sid/main powerpc Packages
        100 /var/lib/dpkg/status

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted